/**Begin D:\PDM_UPGRADE\PDM1\WTABM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTABM_VAAPPLY')
 CREATE TABLE T_WTABM_VAAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSUBMITTER BIGINT DEFAULT 0 NOT NULL,
FSUBMITDATE DATETIME,
FVATIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT VARCHAR(10) DEFAULT ' ' NOT NULL,
FAPPLYTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
--FATTPERSONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
--FATTPERSONNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATESTR VARCHAR(255) DEFAULT ' ' NOT NULL,
FENDDATESTR VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FISCHANGE CHAR(1) DEFAULT '0' NOT NULL,
FISHAVECHANGE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTABM_VACATIONTYPELIST')
 CREATE TABLE T_WTABM_VACATIONTYPELIST (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTABM_VAAPPLY_A')
 CREATE TABLE T_WTABM_VAAPPLY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FISNEEDHAND CHAR(1) DEFAULT '0' NOT NULL,
FHANDPERSON VARCHAR(100) DEFAULT ' ' NOT NULL,
FISNOTLEAVE CHAR(1) DEFAULT '0' NOT NULL,
FVAPLANID BIGINT DEFAULT 0 NOT NULL,
FHANDREASON VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTABM_VAAPPLYENTRY')
 CREATE TABLE T_WTABM_VAAPPLYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVACATIONTYPEID BIGINT DEFAULT 0 NOT NULL,
--FVABESETVID BIGINT DEFAULT 0 NOT NULL,
FREASON VARCHAR(200) DEFAULT ' ' NOT NULL,
--FACTUALSTARTDATE DATETIME,
--FACTUALENDDATE DATETIME,
--FVAMETHOD VARCHAR(10) DEFAULT ' ' NOT NULL,
FVATIMEDAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVATIMEHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
--FOFFNONPLAN CHAR(1) DEFAULT '0' NOT NULL,
FVALIDTIMEDAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDTIMEHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\WTABM_table.sql **/
